
Redmine - Defect #12979

Wiki link syntax commit:repo_a:abcd doesn't work

2013-01-25 10:10 - Danil Tashkinov

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee: Jean-Philippe Lang % Done: 0%

Category: Text formatting Estimated time: 0.00 hour

Target version: 2.2.3   

Resolution: Fixed Affected version:  

Description

The wiki syntax commit:repo_a used to link hash-named changesets doesn't work if repo identifier has underscore symbol.

Maybe in this code https://github.com/redmine/redmine/blob/master/app/helpers/application_helper.rb#L751 used wrong regular

expression.

          when 'commit', 'source', 'export'

            if project

              repository = nil

              if name =~ %r{^(([a-z0-9\-]+)\|)(.+)$}

                repo_prefix, repo_identifier, name = $1, $2, $3

                repository = project.repositories.detect {|repo| repo.identifier == 

repo_identifier}

              else

                repository = project.repository

              end

Related issues:

Has duplicate Redmine - Defect #13005: Can't link to changeset or source in r... Closed

Associated revisions

Revision 11281 - 2013-01-27 17:02 - Jean-Philippe Lang

Wiki links to repositories with underscore their identifiers don't work (#12979).

Revision 11362 - 2013-02-12 18:57 - Jean-Philippe Lang

Merged r11281 from trunk (#12979).

History

#1 - 2013-01-25 10:42 - Etienne Massip

- Tracker changed from Patch to Defect

- Status changed from New to Confirmed

- Target version set to Candidate for next minor release

Confirmed because I've observed the same behavior on my instance a week or two ago, but didn't dig into it.

#2 - 2013-01-27 17:03 - Jean-Philippe Lang

- Category changed from Wiki to Text formatting

- Status changed from Confirmed to Resolved

- Assignee set to Jean-Philippe Lang

- Target version changed from Candidate for next minor release to 2.2.3

- Resolution set to Fixed

Fixed in r11281, the proposed path was not working.

Thanks for pointing this out.

#3 - 2013-02-12 18:57 - Jean-Philippe Lang
https://github.com/redmine/redmine/blob/master/app/helpers/application_helper.rb#L751
https://www.redmine.org/projects/redmine/repository/svn/revisions/11281


- Status changed from Resolved to Closed
